
Infrastructure - Task #2586

Story # 2555 (Closed): Evaluate ONEMercury UI with different browser / OS combinations

Task # 2556 (Closed): Test ONEMercury on Windows

Fix IE rendering of EML science metadata in one-mercury UI

2012-04-09 16:17 - Skye Roseboom

Status: Closed Start date: 2012-04-09

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Rendering of html generated by xslt of EML science metadata is not good.  Appears that nested tables are not properly inheriting

width constraints of parent DOM elements.  Results in long non-breaking text lines that run off the right hand margin of the rendered

page.

Issue only effecting IE currently.  Doctype element used on this page triggers IE quirks mode (rendering mode).  However using Dev

toolbar in IE seems to indicate issues even when not in quirks mode.

XSL transform is creating many nested tables that do not adhere to parent element's width settings - causing large column definitions

with long run on text blocks.

History

#1 - 2012-04-09 20:34 - Skye Roseboom

- Status changed from New to In Progress

I restored the original docType (html 4.0 transitional) to this page and the rendering is fine in FireFox (OSX, Linux), Safari, Chrome.   However this

triggers quirks mode in IE rendering and totally borks the display.

Html is build with many nested tables and IE does not want to inherit width constraints into the nested tables.  This is causing the text to be rendered

far to the right of the page.   Seems to be much re-work of the EML XSLT to support IE.

#2 - 2012-04-10 14:51 - Skye Roseboom

- Subject changed from Fix bad formatting of EML science metadata in one-mercury UI to Fix bad formatting of EML science metadata in one-mercury

UI in IE

#3 - 2012-04-10 14:53 - Skye Roseboom

- Parent task set to #2556

#4 - 2012-04-10 16:13 - Skye Roseboom

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.15-Block.2.4

#5 - 2012-04-10 16:19 - Skye Roseboom

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.15-Block.2.4

- Subject changed from Fix bad formatting of EML science metadata in one-mercury UI in IE to Fix IE rendering of EML science metadata in

one-mercury UI
#6 - 2012-04-10 20:28 - Skye Roseboom

- Status changed from In Progress to Closed

Added IE specific css link to additional CSS file (IE.css) to improve the rendering behavior of the eml xslt generated html.

Looks to be working for all test docs.  Tested in Windows 7 with IE9.
